﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;
@using Portal.Models.GoodsReceiptInquiry;

<table border="0" cellpadding="0" cellspacing="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Arrival Time";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()    
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                dateEdit =>
                {
                    dateEdit.Name = "GRIHFromDate";
                    dateEdit.Width = Unit.Pixel(110);
                    dateEdit.Properties.EditFormat = EditFormat.Custom;
                    dateEdit.Properties.DisplayFormatString = "dd.MM.yyyy";
                    dateEdit.Properties.EditFormatString = "dd.MM.yyyy";
                    dateEdit.Date = DateTime.Now.AddDays(-1);

                    dateEdit.Style.Add("display", "inline-table");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "To";
                    label.Style.Add("padding-left", "10px");
                    label.Style.Add("padding-right", "10px");

                    label.Style.Add("display", "inline-table");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                dateEdit =>
                {
                    dateEdit.Name = "GRIHToDate";
                    dateEdit.Width = Unit.Pixel(110);
                    dateEdit.Properties.EditFormat = EditFormat.Custom;
                    dateEdit.Properties.DisplayFormatString = "dd.MM.yyyy";
                    dateEdit.Properties.EditFormatString = "dd.MM.yyyy";
                    dateEdit.Date = DateTime.Now;

                    dateEdit.Style.Add("display", "inline-table");
                }).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Dock Code";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "GRIHDockLookup";
                    gridLookup.Width = 110;
                    gridLookup.GridProperties.KeyFieldName = "DOCK_CODE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "GoodsReceiptInquiry", Action = "PartialHeaderDockLookupGoodsReceiptInquiry" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_CODE";
                        column.FieldName = "DOCK_CODE";
                        column.Caption = "Dock<br />Code";
                        column.Width = Unit.Pixel(60);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_NAME";
                        column.FieldName = "DOCK_NAME";
                        column.Caption = "Dock<br />Name";
                        column.Width = Unit.Pixel(360);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<Dock>>()).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "GRIHSupplierLookup";
                    gridLookup.Width = 110;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "GoodsReceiptInquiry", Action = "PartialHeaderSupplierLookupGoodsReceiptInquiry" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;

                    if (Model.GetModel<List<Supplier>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<Supplier>>()[0].SUPPLIER_CODE;
                    }
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(400);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<Supplier>>()).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Rcv Plant Code";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "GRIHRcvPlantCodeText";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
    </tr>    
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Route - Rate";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td colspan="3">
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "GRIHRouteRateText";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Manifest No";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "GRIHManifestNoText";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Status";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "*";
                    label.ControlStyle.ForeColor = System.Drawing.Color.Red;
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()      
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "GRIHStatusLookup";
                    gridLookup.Width = 110; 
                    gridLookup.GridProperties.KeyFieldName = "STATUS_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "GoodsReceiptInquiry", Action = "PartialHeaderStatusLookupGoodsReceiptInquiry" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                                        
                    gridLookup.GridProperties.CommandColumn.Visible = true;
                    gridLookup.GridProperties.CommandColumn.Width = Unit.Pixel(40);
                    gridLookup.GridProperties.CommandColumn.ClearFilterButton.Visible = true;
                    gridLookup.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                     
                    //gridLookup.GridProperties.CommandColumn.SetHeaderTemplateContent(
                    //    content =>
                    //    {
                    //        Html.DevExpress().CheckBox(
                    //            checkBox =>
                    //            {
                    //                checkBox.Name = "GRIHStatusLookupSelectAllCheckBox";
                    //                checkBox.Properties.ClientSideEvents.CheckedChanged = "OnGRIHStatusLookupSelectAllCheckBoxCheckedChanged";
                    //                checkBox.Enabled = true;
                    //                checkBox.ClientVisible = true;
                    //            }
                    //        ).Render();
                    //    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "STATUS_NAME";
                        column.FieldName = "STATUS_NAME";
                        column.Caption = "Status<br />Name";
                        column.Width = Unit.Pixel(120);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<GoodsReceiptManifestStatus>>()).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Order No";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "GRIHOrderNoText";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
    </tr>
</table>
<div style="height:15px;"></div> @* div spacing *@
<table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td colspan="5">
            @Html.DevExpress().CheckBox(
                setting =>
                {
                    setting.Name = "GRIHDownloadPerManifestCheckbox";
                    setting.Text = "Include download part detail data per Manifest";
                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="height:5px;"></tr> @* row spacing *@
    <tr>
        <td align="left" style="width:108px;border-right:1px solid #4F93E3;">
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "GRIHDownloadButton";
                    buttonSettings.Text = "Download";
                    buttonSettings.Style.Add("display", "inline-table");
                    buttonSettings.Width = Unit.Pixel(100);
                    buttonSettings.ClientSideEvents.Click = "OnGRIHDownloadButtonClick";
                }).GetHtml()
        </td>
        <td align="left" style="padding-left:8px;">
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "GRIHSHApproveButton";
                    buttonSettings.Text = "SH Approve";
                    buttonSettings.Style.Add("display", "inline-table");
                    buttonSettings.Width = Unit.Pixel(100);
                    buttonSettings.ClientSideEvents.Click = "OnGRIHSHApproveButtonClick";
                    
                    // authorization code
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("GoodsReceiptInquiry", "GRIHSHApproveButton");
                    
                    switch (auth)
                    {
                        case 0:
                            buttonSettings.ClientVisible = false;
                            break;
                        case 1:
                            buttonSettings.Enabled = false;
                            break;
                        case 2:
                            buttonSettings.ClientVisible = true;
                            buttonSettings.Enabled = true;
                            break;
                        default:
                            buttonSettings.ClientVisible = true;
                            buttonSettings.Enabled = true;
                            break;
                    }
                }).GetHtml()
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "GRIHCancelGRManifestButton";
                    buttonSettings.Text = "Cancel GR Manifest";
                    buttonSettings.Style.Add("display", "inline-table");
                    buttonSettings.Width = Unit.Pixel(150);
                    buttonSettings.ClientSideEvents.Click = "OnGRIHCancelGRManifestButtonClick";
                    
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("GoodsReceiptInquiry", "GRIHCancelGRManifestButton");
                    
                    switch (auth)
                    {
                        case 0:
                            buttonSettings.ClientVisible = false;
                            break;
                        case 1:
                            buttonSettings.Enabled = false;
                            break;
                        case 2:
                            buttonSettings.ClientVisible = true;
                            buttonSettings.Enabled = true;
                            break;
                        default:
                            buttonSettings.ClientVisible = true;
                            buttonSettings.Enabled = true;
                            break;
                    }
                }).GetHtml()


            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "GRDownloadDetail";
                    buttonSettings.Text = "Download Detail Error";
                    buttonSettings.Style.Add("display", "inline-table");
                    buttonSettings.Width = Unit.Pixel(150);
                    buttonSettings.ClientSideEvents.Click = "OnDownloadErrorButtonClick";
                    
                    //int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("GoodsReceiptInquiry", "GRIHCancelGRManifestButton");
                    /*
                    switch (auth)
                    {
                        case 0:
                            buttonSettings.ClientVisible = false;
                            break;
                        case 1:
                            buttonSettings.Enabled = false;
                            break;
                        case 2:
                            buttonSettings.ClientVisible = true;
                            buttonSettings.Enabled = true;
                            break;
                        default:
                            buttonSettings.ClientVisible = true;
                            buttonSettings.Enabled = true;
                            break;
                    }
                    */
                }).GetHtml()



        </td>
        <td align="right" style="padding-right:8px;">
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "GRIHToggleDetailButton";
                    buttonSettings.Text = "Toggle Detail";
                    buttonSettings.Style.Add("display", "inline-table");
                    buttonSettings.Width = Unit.Pixel(100);
                    buttonSettings.ClientSideEvents.Click = "OnGRIHToggleDetailButtonClick";
                }).GetHtml()
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "GRIHSummaryButton";
                    buttonSettings.Text = "Summary";
                    buttonSettings.Style.Add("display", "inline-table");
                    buttonSettings.Width = Unit.Pixel(100);
                    buttonSettings.ClientSideEvents.Click = "OnGRIHSummaryButtonClick";
                    
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("GoodsReceiptInquiry", "GRIHSummaryButton");
                    switch (auth)
                    {
                        case 0:
                            buttonSettings.ClientVisible = false;
                            break;
                        case 1:
                            buttonSettings.Enabled = false;
                            break;
                        case 2:
                            buttonSettings.ClientVisible = true;
                            buttonSettings.Enabled = true;
                            break;
                        default:
                            buttonSettings.ClientVisible = true;
                            buttonSettings.Enabled = true;
                            break;
                    }
                }).GetHtml()
        </td>
        <td align="right" style="width:212px;border-left:1px solid #4F93E3;">
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "GRIHSearchButton";
                    buttonSettings.Text = "Search";
                    buttonSettings.Style.Add("display", "inline-table");
                    buttonSettings.Width = Unit.Pixel(100);
                    buttonSettings.ClientSideEvents.Click = "OnGRIHSearchButtonClick";
                }).GetHtml()
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "GRIHClearButton";
                    buttonSettings.Text = "Clear";
                    buttonSettings.Style.Add("display", "inline-table");
                    buttonSettings.Width = Unit.Pixel(100);
                    buttonSettings.ClientSideEvents.Click = "OnGRIHClearButtonClick";
                }).GetHtml()
        </td>
    </tr>
</table>